## javax.el
Class ELContextEvent

    java.lang.Object
      java.util.EventObject
          javax.el.ELContextEvent

All Implemented Interfaces:
  Serializable

    public class ELContextEvent

extends EventObject

An event which indicates that an `ELContext` has been created. The source object is the ELContext that was created.

Since:
  JSP 2.1
See Also:
  `ELContext`, `ELContextListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ELContextEvent(ELContext source)` Constructs an ELContextEvent object to indicate that an `ELContext` has been created.

Method Summary
`ELContext` `getELContext()` Returns the `ELContext` that was created.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ELContextEvent

    public ELContextEvent(ELContext source)

  Constructs an ELContextEvent object to indicate that an `ELContext` has been created.

  Parameters:
    `source` - the `ELContext` that was created.

Method Detail

### getELContext

    public ELContext getELContext()

  Returns the `ELContext` that was created. This is a type-safe equivalent of the `EventObject.getSource()` method.

  Returns:
    the ELContext that was created.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.